import java.io.*;
import java.util.*;

public class jedivssith_sm {

	void solve() throws IOException {
		int n = nextInt();
		assert 1 <= n && n <= 100;
		int[] j = new int[n];
		for (int i = 0; i < n; i++) {
			j[i] = nextInt();
			assert 0 <= j[i] && j[i] <= 1000;
		}
		int[] l = new int[n];
		for (int i = 0; i < n; i++) {
			l[i] = nextInt();
			assert 0 <= l[i] && l[i] <= 1000;
		}
		int[] s = new int[n];
		for (int i = 0; i < n; i++) {
			s[i] = nextInt();
			assert 0 <= s[i] && s[i] <= 1000;
		}
		int[] d = new int[n];
		for (int i = 0; i < n; i++) {
			d[i] = nextInt();
			assert 0 <= d[i] && d[i] <= 1000;
		}
		fori: for (int i = 0; i < 1000000; i++) {
			for (int k = 0; k < n; k++) {
				if (j[k] + i * l[k] < s[k] + i * d[k]) {
					continue fori;
				}
			}
			out.println(i);
			return;
		}
		out.println("Strong is dark side of the force.");
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;

	final String filename = "jedivssith";

	public void run() {
		try {
			br = new BufferedReader(new FileReader(filename + ".in"));
			out = new PrintWriter(filename + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	String nextToken() {
		try {
			while (st == null || !st.hasMoreTokens()) {
				String s = br.readLine();
				if (s == null) {
					return null;
				}
				st = new StringTokenizer(s);
			}
			return st.nextToken();
		} catch (IOException e) {
			throw new RuntimeException();
		}
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	long nextLong() {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) {
		new jedivssith_sm().run();
	}
}
