import java.io.*;
import java.util.*;

public class jedivssith_aa {

	public static void main(String[] args) {
		new jedivssith_aa().run();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(125475452);

	private void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	long nextLong() {
		return Long.parseLong(nextToken());
	}

	void check(boolean u) {
		if (!u) {
			throw new Error("Assertion failed!!!");
		}
	}

	String FNAME = "jedivssith";

	int MAXN = 100;
	int INF = (int) 1e9;
	int MAXV = 1000;

	String dark = "Strong is dark side of the force.";

	private void solve() throws IOException {
		int n = nextInt();
		check(1 <= n && n <= MAXN);
		int[] j = readArray(n);
		int[] l = readArray(n);
		int[] s = readArray(n);
		int[] d = readArray(n);
		int left = 0;
		int right = INF;
		for (int i = 0; i < d.length; i++) {
			if (l[i] <= d[i] && j[i] < s[i]) {
				out.println(dark);
				return;
			}
			if (l[i] == d[i]) {
				if (j[i] < s[i]) {
					out.println(dark);
					return;
				}
			} else if (l[i] < d[i]) {
				int max = (j[i] - s[i]) / (d[i] - l[i]);
				right = Math.min(right, max);
			} else {
				int min = (s[i] - j[i] + l[i] - d[i] - 1) / (l[i] - d[i]);
				left = Math.max(left, min);
			}
		}
		if (left > right) {
			out.println(dark);
		} else {
			out.println(left);
		}
	}

	private int[] readArray(int n) {
		int[] a = new int[n];
		for (int i = 0; i < a.length; i++) {
			a[i] = nextInt();
			check(0 <= a[i] && a[i] <= MAXV);
		}
		return a;
	}
}