import java.io.*;
import java.util.*;
import java.math.*;

public class jedivssith_ab_easy implements Runnable {

	final int MAXN = 100;
	final int MAXF = 1000;
	
	private void solve() throws IOException {
		int n = in.nextInt();
		assert 1 <= n && n <= MAXN;
		int[] s = new int[n];
		int[] d = new int[n];
		process(s, 1);
		process(d, 1);
		process(s, -1);
		process(d, -1);
		
		loop:
		for (int x = 0; x < 10000; ++x) {
			for (int i = 0; i < n; ++i) {
				if (s[i] + d[i] * x < 0) continue loop;
			}
			out.println(x);
			return;
		}
		out.println("Strong is dark side of the force.");
	}
	
	void process(int[] v, int t) {
		for (int i = 0; i < v.length; ++i) {
			int a = in.nextInt();
			assert 0 <= a && a <= MAXF;
			v[i] += t * a;
		}
	}

	final String FILE_NAME = "jedivssith";

	SimpleScanner in;
	PrintWriter out;

	@Override
	public void run() {
		try {
			in = new SimpleScanner(new FileReader(FILE_NAME + ".in"));
			out = new PrintWriter(FILE_NAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}

	public static void main(String[] args) {
		new Thread(new jedivssith_ab_easy()).start();
	}

	class SimpleScanner extends BufferedReader {

		private StringTokenizer st;
		private boolean eof;

		public SimpleScanner(Reader a) {
			super(a);
		}

		String next() {
			while (st == null || !st.hasMoreElements()) {
				try {
					st = new StringTokenizer(readLine());
				} catch (Exception e) {
					eof = true;
					return "";
				}
			}
			return st.nextToken();
		}

		boolean seekEof() {
			String s = next();
			if ("".equals(s) && eof)
				return true;
			st = new StringTokenizer(s + " " + st.toString());
			return false;
		}

		private String cnv(String s) {
			if (s.length() == 0)
				return "0";
			return s;
		}

		int nextInt() {
			return Integer.parseInt(cnv(next()));
		}

		double nextDouble() {
			return Double.parseDouble(cnv(next()));
		}

		long nextLong() {
			return Long.parseLong(cnv(next()));
		}
	}
}