#include <fstream>
#include <iostream>

using namespace std;

#define min(a, b) (a) < (b) ? (a) : (b)
#define max(a, b) (a) > (b) ? (a) : (b)
#define inf 1000000

struct segment {
	int l, r;
	
	segment(int _l, int _r): l(_l), r(_r) {}
	
	segment& operator&=(segment a) {
		l = max(l, a.l);
		r = min(r, a.r);
		return *this;
	}
};

ostream& operator<<(ostream& out, segment s) {
	out << "[" << s.l << ", " << s.r << "]";
	return out;
}

#define sith "Strong is dark side of the force."

int main() {
	ifstream in("jedivssith.in");
	ofstream out("jedivssith.out");
	int n;
	in >> n;
	int *j = new int[n], *l = new int[n], *s = new int[n], *d = new int[n];
	for (int i = 0; i < n; i++)
		in >> j[i];
	for (int i = 0; i < n; i++)
		in >> l[i];
	for (int i = 0; i < n; i++)
		in >> s[i];
	for (int i = 0; i < n; i++)
		in >> d[i];
	segment seg = segment(0, inf);
	for (int i = 0; i < n; i++) {
		if (s[i] > j[i] && d[i] >= l[i]) {
			out << sith;
			return 0;
		}
		int dx = l[i] - d[i];
		if (s[i] > j[i]) {
			int begin = (s[i] - j[i] - 1) / dx + 1;
			seg &= segment(begin, inf);
		} else if (d[i] > l[i]) {
			int end = (s[i] - j[i] - 1) / dx + 1;
			seg &= segment(0, end);
		}
	}
	if (seg.l >= seg.r)
		out << sith;
	else
		out << seg.l;
}
