import java.io.*;
import java.util.*;

public class jedivssith_ats_wa implements Runnable {
    public static void main(String[] args) {
        new Thread(new jedivssith_ats_wa()).start();
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public void embraceDarkSide() {
        out.println("Strong is dark side of the force.");
        out.close();
        System.exit(0);
    }

    int n;
    int[] j, s, dj, ds;

    public void getForceKnowledge() throws IOException {
        n = nextInt();
        j = new int[n];
        s = new int[n];
        dj = new int[n];
        ds = new int[n];

        for (int i = 0; i < n; i++) {
            j[i] = nextInt();
            assert (0 <= j[i] && j[i] <= 1000);
        }
        for (int i = 0; i < n; i++) {
            dj[i] = nextInt();
            assert (0 <= dj[i] && dj[i] <= 1000);
        }
        for (int i = 0; i < n; i++) {
            s[i] = nextInt();
            assert (0 <= s[i] && s[i] <= 1000);
        }
        for (int i = 0; i < n; i++) {
            ds[i] = nextInt();
            assert (0 <= ds[i] && ds[i] <= 1000);
        }
    }

    public void spectateTheBattle() {
        for (int i = 0; i < n; i++) {
            j[i] -= s[i];
            dj[i] -= ds[i];
        }
        int theDayFirstForJediToDominate = 0;
        int theDayLastForSithToDominate = Integer.MAX_VALUE;
        for (int i = 0; i < n; i++) {
            if (j[i] < 0 && dj[i] <= 0) {
                embraceDarkSide();
            }
            if (j[i] >= 0 && dj[i] < 0) {
                int val = ((j[i] + 1) - 1) / Math.abs(dj[i]) + 1;
                theDayLastForSithToDominate = Math.min(val, theDayLastForSithToDominate);
            }
            if (j[i] <= 0 && dj[i] > 0) {
                int val = (Math.abs(j[i]) - 1) / dj[i] + 1;
                theDayFirstForJediToDominate = Math.max(theDayFirstForJediToDominate, val);
            }
        }
        if (theDayLastForSithToDominate < theDayFirstForJediToDominate) {
            embraceDarkSide();
        } else {
            out.println(theDayFirstForJediToDominate);
        }
    }

    public void solve() throws IOException {
        getForceKnowledge();
        spectateTheBattle();
    }

    public void run() {
        try {
            Locale.setDefault(Locale.US);
            br = new BufferedReader(new FileReader("jedivssith.in"));
            out = new PrintWriter("jedivssith.out");

            solve();

            out.close();
            br.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }
}
